org.apache.thrift.transport

## Class TFileProcessor

- java.lang.Object
- - org.apache.thrift.transport.TFileProcessor

-     public class TFileProcessor
      extends java.lang.Object

  FileProcessor: helps in processing files generated by TFileTransport. Port of original cpp implementation
  Author:
    Joydeep Sen Sarma

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TFileProcessor(TProcessor processor, TProtocolFactory protocolFactory, TFileTransport inputTransport, TTransport outputTransport)`
    `TFileProcessor(TProcessor processor, TProtocolFactory inputProtocolFactory, TProtocolFactory outputProtocolFactory, TFileTransport inputTransport, TTransport outputTransport)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `processChunk()` Process a current chunk
    `void` | `processChunk(int chunkNum)` Process a single chunk
    `void` | `processChunk(int startChunkNum, int endChunkNum)` Process from start to last chunk both inclusive where chunks begin from 0

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TFileProcessor

          public TFileProcessor(TProcessor processor,
                        TProtocolFactory protocolFactory,
                        TFileTransport inputTransport,
                        TTransport outputTransport)

    - #### TFileProcessor

          public TFileProcessor(TProcessor processor,
                        TProtocolFactory inputProtocolFactory,
                        TProtocolFactory outputProtocolFactory,
                        TFileTransport inputTransport,
                        TTransport outputTransport)

  - ### Method Detail

    - #### processChunk

          public void processChunk(int startChunkNum,
                          int endChunkNum)
                            throws TException

      Process from start to last chunk both inclusive where chunks begin from 0
      Parameters:
        `startChunkNum` - first chunk to be processed
        `lastChunkNum` - last chunk to be processed
      Throws:
        `TException`

    - #### processChunk

          public void processChunk(int chunkNum)
                            throws TException

      Process a single chunk
      Parameters:
        `chunkNum` - chunk to be processed
      Throws:
        `TException`

    - #### processChunk

          public void processChunk()
                            throws TException

      Process a current chunk
      Throws:
        `TException`